import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_request_index_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_request_index_entity.g.dart';

@JsonSerializable()
class LabourRequestIndexEntity {
	@JSONField(name: "department_list")
	List<LabourRequestIndexDepartmentList>? departmentList = [];
	@JSONField(name: "outlet_list")
	List<LabourRequestIndexDepartmentList>? outletList = [];
	@JSONField(name: "status_list")
	List<LabourRequestIndexStatusList>? statusList = [];
	@JSONField(name: "division_list")
	List<IndexOptionEntity> divisionList = [];

	LabourRequestIndexEntity();

	factory LabourRequestIndexEntity.fromJson(Map<String, dynamic> json) => $LabourRequestIndexEntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestIndexEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestIndexDepartmentList {
	String? value = '';
	String? txt = '';
	String? selected = '';

	LabourRequestIndexDepartmentList();

	factory LabourRequestIndexDepartmentList.fromJson(Map<String, dynamic> json) => $LabourRequestIndexDepartmentListFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestIndexDepartmentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourRequestIndexStatusList {
	String? value = '';
	String? txt = '';
	String? selected = '';

	LabourRequestIndexStatusList();

	factory LabourRequestIndexStatusList.fromJson(Map<String, dynamic> json) => $LabourRequestIndexStatusListFromJson(json);

	Map<String, dynamic> toJson() => $LabourRequestIndexStatusListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}